Retrieve a participant issuer certificate
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/issuer-certificates/{issuerCertificateId}Retrieve a specific issuer certificate for the specified participant.
Analytic events
- ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_RETRIEVE_START
- ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_RETRIEVE_SUCCESS
- ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidUnique identifier of the participant issuer certificate.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/issuer-certificates/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "certificateFingerprint": "string", "certificatePem": "string", "status": "Active", "docTypes": [ { "value": "string" } ], "linkCertificateInfo": { "issuerCertificateId": "23838a57-a5a0-4d6b-bac1-848c066a68a2", "certificatePem": "string", "certificateFingerprint": "string" }}How would you rate this page?
Retrieve all participant issuer certificates GET
Retrieve all issuer certificates for the specified participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_RETRIEVE_LIST_START * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_RETRIEVE_LIST_FAIL
Update a participant issuer certificate PUT
Update a specific issuer certificate for the specified participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_START * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_SUCCESS * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_FAIL